| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_VCollection Class Reference

`#include <AAX_VCollection.h>`

Inheritance diagram for AAX_VCollection:
[legend]
Collaboration diagram for AAX_VCollection:
[legend]

## Description

Version-managed concrete AAX_ICollection class.

## Public Member Functions
| AAX_VCollection (IACFUnknown *pUnkHost)
| ~AAX_VCollection () AAX_OVERRIDE
AAX_IEffectDescriptor * | NewDescriptor () AAX_OVERRIDE
| Create a new Effect descriptor.
AAX_Result | AddEffect (const char *inEffectID, AAX_IEffectDescriptor *inEffectDescriptor) AAX_OVERRIDE
| Add an Effect description to the collection.
AAX_Result | SetManufacturerName (const char *inPackageName) AAX_OVERRIDE
| Set the plug-in manufacturer name.
AAX_Result | AddPackageName (const char *inPackageName) AAX_OVERRIDE
| Set the plug-in package name.
AAX_Result | SetPackageVersion (uint32_t inVersion) AAX_OVERRIDE
| Set the plug-in package version number.
AAX_IPropertyMap * | NewPropertyMap () AAX_OVERRIDE
| Create a new property map.
AAX_Result | SetProperties (AAX_IPropertyMap *inProperties) AAX_OVERRIDE
| Set the properties of the collection.
AAX_Result | GetHostVersion (uint32_t *outVersion) const AAX_OVERRIDE
| Get the current version of the host.
AAX_IDescriptionHost * | DescriptionHost () AAX_OVERRIDE
const AAX_IDescriptionHost * | DescriptionHost () const AAX_OVERRIDE
IACFDefinition * | HostDefinition () const AAX_OVERRIDE
IACFPluginDefinition * | GetIUnknown () const
Public Member Functions inherited from AAX_ICollection
virtual | ~AAX_ICollection ()
virtual AAX_IEffectDescriptor * | NewDescriptor ()=0
| Create a new Effect descriptor.
virtual AAX_Result | AddEffect (const char *inEffectID, AAX_IEffectDescriptor *inEffectDescriptor)=0
| Add an Effect description to the collection.
virtual AAX_Result | SetManufacturerName (const char *inPackageName)=0
| Set the plug-in manufacturer name.
virtual AAX_Result | AddPackageName (const char *inPackageName)=0
| Set the plug-in package name.
virtual AAX_Result | SetPackageVersion (uint32_t inVersion)=0
| Set the plug-in package version number.
virtual AAX_IPropertyMap * | NewPropertyMap ()=0
| Create a new property map.
virtual AAX_Result | SetProperties (AAX_IPropertyMap *inProperties)=0
| Set the properties of the collection.
virtual AAX_Result | GetHostVersion (uint32_t *outVersion) const =0
| Get the current version of the host.
virtual AAX_IDescriptionHost * | DescriptionHost ()=0
virtual const AAX_IDescriptionHost * | DescriptionHost () const =0
virtual IACFDefinition * | HostDefinition () const =0

## Constructor & Destructor Documentation

## ◆ AAX_VCollection()

AAX_VCollection::AAX_VCollection | ( | IACFUnknown * | pUnkHost | ) |

## ◆ ~AAX_VCollection()

AAX_VCollection::~AAX_VCollection | ( |  | ) |

## Member Function Documentation

## ◆ NewDescriptor()

AAX_IEffectDescriptor * AAX_VCollection::NewDescriptor | ( |  | ) |
| virtual

Create a new Effect descriptor.

This implementation retains each generated AAX_IEffectDescriptor and destroys the descriptor upon AAX_VCollection destruction

Create a new Effect descriptor.

Implements AAX_ICollection.

## ◆ AddEffect()

AAX_Result AAX_VCollection::AddEffect | ( | const char * | inEffectID,
|  | AAX_IEffectDescriptor * | inEffectDescriptor
| ) |  |
| virtual

Add an Effect description to the collection.

Each Effect that a plug-in registers with AAX_ICollection::AddEffect() is considered a completely different user-facing product. For example, in Avid's Dynamics III plug-in the Expander, Compressor, and DeEsser are each registered as separate Effects. All stem format variations within each Effect are registered within that Effect's AAX_IEffectDescriptor using AddComponent().

The AAX_eProperty_ProductID value for all ProcessProcs within a single Effect must be identical.

This method passes ownership of an AAX_IEffectDescriptor object to the AAX_ICollection. The AAX_IEffectDescriptor must not be deleted by the AAX plug-in, nor should it be edited in any way after it is passed to the AAX_ICollection.

Parameters

  [in] | inEffectID | The effect ID.
  [in] | inEffectDescriptor | The Effect descriptor.

Implements AAX_ICollection.

## ◆ SetManufacturerName()

AAX_Result AAX_VCollection::SetManufacturerName | ( | const char * | inPackageName | ) |
| virtual

Set the plug-in manufacturer name.

Parameters

  [in] | inPackageName | The name of the manufacturer.

Implements AAX_ICollection.

## ◆ AddPackageName()

AAX_Result AAX_VCollection::AddPackageName | ( | const char * | inPackageName | ) |
| virtual

Set the plug-in package name.

May be called multiple times to add abbreviated package names.

Note
  Every plug-in must include at least one name variant with 16 or fewer characters, plus a null terminating character. Used for Presets folder.

Parameters

  [in] | inPackageName | The name of the package.

Implements AAX_ICollection.

## ◆ SetPackageVersion()

AAX_Result AAX_VCollection::SetPackageVersion | ( | uint32_t | inVersion | ) |
| virtual

Set the plug-in package version number.

Parameters

  [in] | inVersion | The package version numner.

Implements AAX_ICollection.

## ◆ NewPropertyMap()

AAX_IPropertyMap * AAX_VCollection::NewPropertyMap | ( |  | ) |
| virtual

Create a new property map.

Implements AAX_ICollection.

## ◆ SetProperties()

AAX_Result AAX_VCollection::SetProperties | ( | AAX_IPropertyMap * | inProperties | ) |
| virtual

Set the properties of the collection.

Parameters

  [in] | inProperties | Collection properties

Implements AAX_ICollection.

## ◆ GetHostVersion()

AAX_Result AAX_VCollection::GetHostVersion | ( | uint32_t * | outVersion | ) | const
| virtual

Get the current version of the host.

See AAXATTR_Client_Version for information about the version data format

Warning
  Do not use this method to infer host feature support. Instead, use AAX_IDescriptionHost to query the host for specific features.

Parameters

  [in] | outVersion | Host version

Implements AAX_ICollection.

## ◆ DescriptionHost() [1/2]

AAX_IDescriptionHost * AAX_VCollection::DescriptionHost | ( |  | ) |
| virtual

Get a pointer to an AAX_IDescriptionHost, if supported by the host

This interface is served by the AAX_ICollection in order to avoid requiring a new method prototype for the GetEffectDescriptions() method called from the AAX Library.

See also
  AAX_UIDs.h for available feature UIDs, e.g. AAXATTR_ClientFeature_AuxOutputStem

Implements AAX_ICollection.

## ◆ DescriptionHost() [2/2]

const AAX_IDescriptionHost * AAX_VCollection::DescriptionHost | ( |  | ) | const
| virtual

Get a pointer to an AAX_IDescriptionHost, if supported by the host

This interface is served by the AAX_ICollection in order to avoid requiring a new method prototype for the GetEffectDescriptions() method called from the AAX Library.

See also
  AAX_UIDs.h for available feature UIDs, e.g. AAXATTR_ClientFeature_AuxOutputStem

Implements AAX_ICollection.

## ◆ HostDefinition()

IACFDefinition * AAX_VCollection::HostDefinition | ( |  | ) | const
| virtual

Get a pointer to an IACFDefinition, if supported by the host

This interface is served by the AAX_ICollection in order to avoid requiring a new method prototype for the GetEffectDescriptions() method called from the AAX Library.

See also
  AAX_UIDs.h for available host attribute UIDs, e.g. AAXATTR_Client_Level

The implementation of AAX_ICollection owns the referenced object. No AddRef occurs.

IACFDefinition::DefineAttribute() is not supported on this object

Implements AAX_ICollection.

## ◆ GetIUnknown()

IACFPluginDefinition * AAX_VCollection::GetIUnknown | ( |  | ) | const

The documentation for this class was generated from the following file:

- AAX_VCollection.h